const numbers = '0123456789', letters = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz', specials = '!$%^&*()_+|~-=`{}[]:;<>?,./';
function _defaults(opts) {
    return {
        length: opts.length || 8,
        numeric: typeof opts.numeric === 'boolean' ? opts.numeric : true,
        letters: typeof opts.letters === 'boolean' ? opts.letters : true,
        special: typeof opts.special === 'boolean' ? opts.special : false,
    };
}
function _buildChars(opts) {
    var chars = '';
    if (opts.numeric) {
        chars += numbers;
    }
    if (opts.letters) {
        chars += letters;
    }
    if (opts.special) {
        chars += specials;
    }
    return chars;
}
export const randomString = (_opts) => {
    let opts = _defaults(_opts);
    var i, rn, rnd = '', len = opts.length, randomChars = _buildChars(opts);
    for (i = 1; i <= len; i++) {
        rnd += randomChars.substring((rn = Math.floor(Math.random() * randomChars.length)), rn + 1);
    }
    return rnd;
};
