import * as Handler from './handler';
export * from './event-bus';
import * as utils from './utils';
export * from './user-action-lock';
import * as UseRunner from './use-runner';
declare const Hooks: {
    useUserActionLock: (delay?: number) => (func: Function) => void;
    useRunner: <T>() => {
        runOnce: (config: UseRunner.RunOnceConfig) => void;
    };
    useDelayEventHandler: <T_1>(event: (argv?: T_1 | undefined) => void, { delayUntilRepeat }: {
        delayUntilRepeat: number;
    }) => (argv?: T_1 | undefined) => void;
    useDelayEventHandlerEx: ({ delayUntilRepeat, }: {
        delayUntilRepeat: number;
    }) => (eventConfig: {
        event: () => void;
        eventKey: string;
        delayUntilRepeat?: number | undefined;
    }) => void;
};
export { Handler, utils, Hooks };
